/*-----------------------------------------------------------------------------
 * Name:    LED.c
 * Purpose: Low level LED functions
 *-----------------------------------------------------------------------------
 * This file is part of the uVision/ARM development tools.
 * This software may only be used under the terms of a valid, current,
 * end user licence from KEIL for a compatible version of KEIL software
 * development tools. Nothing else gives you the right to use this software.
 *
 * This software is supplied "AS IS" without warranties of any kind.
 *
 * Copyright (c) 2004-2013 KEIL - An ARM Company. All rights reserved.
 *----------------------------------------------------------------------------*/

#include "LPC11xx.h"                    // Device header
#include "led.h"


	

void LED_Initialize(void)
{
	LPC_SYSCON->SYSAHBCLKCTRL |= 1 <<  6;  /* Enable clock for GPIO            */
  LPC_GPIO2->DIR   = 0x000000FF;         /* LEDs on PORT2 defined as Output  */
  LPC_GPIO2->DATA &= 0xFFFFFF00;
}

void LED_On(int led)
{
  led &= 0x07;
	LPC_GPIO2->DATA |=  (1<<led);
}

void LED_Off(int led)
{
  led &= 0x07;
	LPC_GPIO2->DATA &= ~(1<<led);
}

